<%@ Page CodeFileBaseClass="AliCMS.Lib.SystemPageBase" %>
<script language="c#" runat="server">
protected string GetInstanceName(object id)
{
	if (Guid.Equals(id, Guid.Empty))
		return "";

	return Manager.Instances.Select(AliCMS.SystemModule.Alias.Instance.ID + "='" + id + "'")[0][AliCMS.SystemModule.Alias.Instance.Name + PageLang].ToString();
}
</script>
<ali:List Object="Combo.Product" Condition="ComboID=Request.QueryString['ComboID']" Sort="InnerID ASC">
	[
		<ali:Record>
			{id:"<%=ProductID%>",name:"<%=ProductName%>",no:"<%=ProductNo%>",amount:"<%=Amount%>",instanceId:"<%=ProductInstanceID%>",instanceName:"<%=GetInstanceName(ProductInstanceID)%>",subInstanceId:"<%=Guid.NewGuid()%>"}
			<ali:Separator>,</ali:Separator>
		</ali:Record>
	]
</ali:List>